package com.yem.wm.syn.eas.api.dto;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
public class AccessoryAddNewDTO implements Serializable {
    @ApiParam(value = "物料编码",required = true)
    private String material;

    @ApiParam(value = "加价分类",required = false)
    private String markup;

    @ApiParam(value = "标准销售价",required = true)
    private BigDecimal standsalesprice;
    @ApiParam(value = "分录ID",required = true)
    private String entryID;


    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getMarkup() {
        return markup;
    }

    public void setMarkup(String markup) {
        this.markup = markup;
    }

    public BigDecimal getStandsalesprice() {
        return standsalesprice;
    }

    public void setStandsalesprice(BigDecimal standsalesprice) {
        this.standsalesprice = standsalesprice;
    }

    public String getEntryID() {
        return entryID;
    }

    public void setEntryID(String entryID) {
        this.entryID = entryID;
    }

    @Override
    public String toString() {
        return "AccessoryAddNewDTO{" +
                "material='" + material + '\'' +
                ", markup='" + markup + '\'' +
                ", standsalesprice=" + standsalesprice +
                '}';
    }
}
